# SPDX-License-Identifier: AGPL-3.0-only
# The upper-case half of http-traversal-encoded. A prefilter is a
# literal, and `%2E` is not `%2e`.
parser: http-traversal-encoded-upper
log: http
prefilter: "%2E"
regex: '^(?P<ip>\S+) \S+ \S+ \[(?P<time>[^\]]+)\] "(?P<method>[A-Z]+) (?P<path>[^ "]*%(?:25)?2E%(?:25)?2E[^ "]*) [^"]*" (?P<status>\d{3}) '
time_field: time
time_format: nginx
